Subject: bug#66136: 29.1; byte-compiler reports "misplaced interactive spec" with empty fct in lexical environment

From: Stefan Monnier <[email-masked]>
Date: Sun, 24 Sep 2023 11:42:22 -0400

>> `set-advertised-calling-convention` stores the info with the
>> actual function (in an `eq` has-table) rather than as symbol property.
> Ah yes. You wouldn't remember the reason for it, would you?

I do: it was a kind of experiment with the intention to move further in
this direction for all those kinds of properties which fundamentally
apply to the lambda rather than to the name to which it happens to
be bound.

What I don't know is why I didn't follow that same idea for
other properties.

        Stefan